<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: SmartLED Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSmartLED-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SmartLED Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SmartLED:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classSmartLED.png" usemap="#SmartLED_map" alt=""/>
  <map id="SmartLED_map" name="SmartLED_map">
<area href="classApa102.html" alt="Apa102" shape="rect" coords="0,56,68,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a735d83c9c1f664ea3328daeb36748eb6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a735d83c9c1f664ea3328daeb36748eb6">getBrightness</a> ()</td></tr>
<tr class="memdesc:a735d83c9c1f664ea3328daeb36748eb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the brightness as a percentage.  <a href="#a735d83c9c1f664ea3328daeb36748eb6">More...</a><br /></td></tr>
<tr class="separator:a735d83c9c1f664ea3328daeb36748eb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c560b3cc7f1dc88337d22cbd890f933"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a1c560b3cc7f1dc88337d22cbd890f933">getPixelCount</a> ()</td></tr>
<tr class="memdesc:a1c560b3cc7f1dc88337d22cbd890f933"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the number of pixels in the chain.  <a href="#a1c560b3cc7f1dc88337d22cbd890f933">More...</a><br /></td></tr>
<tr class="separator:a1c560b3cc7f1dc88337d22cbd890f933"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca6eecc394b1c520f49128edc9dd3702"><td class="memItemLeft" align="right" valign="top"><a id="aca6eecc394b1c520f49128edc9dd3702"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()=0</td></tr>
<tr class="separator:aca6eecc394b1c520f49128edc9dd3702"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b7ce38785c6c51b00abcc7bdd3577fe"><td class="memItemLeft" align="right" valign="top"><a id="a0b7ce38785c6c51b00abcc7bdd3577fe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()=0</td></tr>
<tr class="separator:a0b7ce38785c6c51b00abcc7bdd3577fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd7bcb3a6606ee885978c94cc5bd3833"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#afd7bcb3a6606ee885978c94cc5bd3833">setBrightness</a> (uint32_t percent)</td></tr>
<tr class="memdesc:afd7bcb3a6606ee885978c94cc5bd3833"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the brightness as a percentage.  <a href="#afd7bcb3a6606ee885978c94cc5bd3833">More...</a><br /></td></tr>
<tr class="separator:afd7bcb3a6606ee885978c94cc5bd3833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7155c63ed77ae070575dcbc960292e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a1d7155c63ed77ae070575dcbc960292e">setColorOrder</a> (char *order)</td></tr>
<tr class="memdesc:a1d7155c63ed77ae070575dcbc960292e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the color order of data sent to the LEDs.  <a href="#a1d7155c63ed77ae070575dcbc960292e">More...</a><br /></td></tr>
<tr class="separator:a1d7155c63ed77ae070575dcbc960292e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0e7fcf8f943748d68c23dbef90b52a6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aa0e7fcf8f943748d68c23dbef90b52a6">setPixel</a> (uint16_t index, uint8_t red, uint8_t green, uint8_t blue)</td></tr>
<tr class="memdesc:aa0e7fcf8f943748d68c23dbef90b52a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="#aa0e7fcf8f943748d68c23dbef90b52a6">More...</a><br /></td></tr>
<tr class="separator:aa0e7fcf8f943748d68c23dbef90b52a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee14c9e5278ba735cd9890ab33bb4802"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aee14c9e5278ba735cd9890ab33bb4802">setPixel</a> (uint16_t index, <a class="el" href="structpixel__t.html">pixel_t</a> pixel)</td></tr>
<tr class="memdesc:aee14c9e5278ba735cd9890ab33bb4802"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="#aee14c9e5278ba735cd9890ab33bb4802">More...</a><br /></td></tr>
<tr class="separator:aee14c9e5278ba735cd9890ab33bb4802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae855663a57e10790c6dc892bf78a37d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#aae855663a57e10790c6dc892bf78a37d">setPixel</a> (uint16_t index, uint32_t pixel)</td></tr>
<tr class="memdesc:aae855663a57e10790c6dc892bf78a37d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified color.  <a href="#aae855663a57e10790c6dc892bf78a37d">More...</a><br /></td></tr>
<tr class="separator:aae855663a57e10790c6dc892bf78a37d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65281f4a17cc5984d40b57244cd9161e"><td class="memItemLeft" align="right" valign="top"><a id="a65281f4a17cc5984d40b57244cd9161e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPixelCount</b> (uint16_t pixelCount)</td></tr>
<tr class="separator:a65281f4a17cc5984d40b57244cd9161e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d25c9253f280f79c3fee565d0bd3efd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a0d25c9253f280f79c3fee565d0bd3efd">setHSBPixel</a> (uint16_t index, uint16_t hue, uint8_t saturation, uint8_t brightness)</td></tr>
<tr class="memdesc:a0d25c9253f280f79c3fee565d0bd3efd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the given pixel to the specified HSB color.  <a href="#a0d25c9253f280f79c3fee565d0bd3efd">More...</a><br /></td></tr>
<tr class="separator:a0d25c9253f280f79c3fee565d0bd3efd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38c11b8195f7d149053850a554c6a85e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmartLED.html#a38c11b8195f7d149053850a554c6a85e">clear</a> ()</td></tr>
<tr class="memdesc:a38c11b8195f7d149053850a554c6a85e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all the pixel colors.  <a href="#a38c11b8195f7d149053850a554c6a85e">More...</a><br /></td></tr>
<tr class="separator:a38c11b8195f7d149053850a554c6a85e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a9eeb7f7c25516a66eb4c0e176f1cb54c"><td class="memItemLeft" align="right" valign="top"><a id="a9eeb7f7c25516a66eb4c0e176f1cb54c"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_brightness</b></td></tr>
<tr class="separator:a9eeb7f7c25516a66eb4c0e176f1cb54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83cd40d5114ac77085751cba84bf06bc"><td class="memItemLeft" align="right" valign="top"><a id="a83cd40d5114ac77085751cba84bf06bc"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>m_colorOrder</b></td></tr>
<tr class="separator:a83cd40d5114ac77085751cba84bf06bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc7d242c2431817e6e650adb7d35054"><td class="memItemLeft" align="right" valign="top"><a id="a7bc7d242c2431817e6e650adb7d35054"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_pixelCount</b></td></tr>
<tr class="separator:a7bc7d242c2431817e6e650adb7d35054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cbe848bbdbdf401361d81ee96ca2d11"><td class="memItemLeft" align="right" valign="top"><a id="a6cbe848bbdbdf401361d81ee96ca2d11"></a>
<a class="el" href="structpixel__t.html">pixel_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>m_pixels</b></td></tr>
<tr class="separator:a6cbe848bbdbdf401361d81ee96ca2d11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a38c11b8195f7d149053850a554c6a85e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38c11b8195f7d149053850a554c6a85e">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear all the pixel colors. </p>
<p>This sets all the pixels to off which is no brightness for all of the color channels. The LEDs are not actually updated until a call to show() is subsequently made. </p>

</div>
</div>
<a id="a735d83c9c1f664ea3328daeb36748eb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a735d83c9c1f664ea3328daeb36748eb6">&#9670;&nbsp;</a></span>getBrightness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t SmartLED::getBrightness </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the brightness as a percentage. </p>
<dl class="section return"><dt>Returns</dt><dd>The brightness as a percentage. </dd></dl>

</div>
</div>
<a id="a1c560b3cc7f1dc88337d22cbd890f933"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c560b3cc7f1dc88337d22cbd890f933">&#9670;&nbsp;</a></span>getPixelCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t SmartLED::getPixelCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return the number of pixels in the chain. </p>
<dl class="section return"><dt>Returns</dt><dd>The number of pixels in the chain as previously set by setPixelCount(). </dd></dl>

</div>
</div>
<a id="afd7bcb3a6606ee885978c94cc5bd3833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd7bcb3a6606ee885978c94cc5bd3833">&#9670;&nbsp;</a></span>setBrightness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setBrightness </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>percent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the brightness as a percentage. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">percent</td><td>The brightness. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1d7155c63ed77ae070575dcbc960292e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7155c63ed77ae070575dcbc960292e">&#9670;&nbsp;</a></span>setColorOrder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setColorOrder </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>colorOrder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the color order of data sent to the LEDs. </p>
<p>Data is sent to the WS2812s in a serial fashion. There are 8 bits of data for each of the three channel colors (red, green and blue). The <a class="el" href="classWS2812.html" title="Driver for WS2812/NeoPixel data.">WS2812</a> LEDs typically expect the data to arrive in the order of "green" then "red" then "blue". However, this has been found to vary between some models and manufacturers. What this means is that some want "red", "green", "blue" and still others have their own orders. This function can be called to override the default ordering of "GRB". We can specify an alternate order by supply an alternate three character string made up of 'R', 'G' and 'B' for example "RGB". </p>

</div>
</div>
<a id="a0d25c9253f280f79c3fee565d0bd3efd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d25c9253f280f79c3fee565d0bd3efd">&#9670;&nbsp;</a></span>setHSBPixel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setHSBPixel </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>hue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>saturation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>brightness</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the given pixel to the specified HSB color. </p>
<p>The LEDs are not actually updated until a call to show().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The pixel that is to have its color set. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">hue</td><td>The amount of hue in the pixel (0-360). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">saturation</td><td>The amount of saturation in the pixel (0-255). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">brightness</td><td>The amount of brightness in the pixel (0-255). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa0e7fcf8f943748d68c23dbef90b52a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0e7fcf8f943748d68c23dbef90b52a6">&#9670;&nbsp;</a></span>setPixel() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setPixel </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>blue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the given pixel to the specified color. </p>
<p>The LEDs are not actually updated until a call to show() is subsequently made.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The pixel that is to have its color set. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">red</td><td>The amount of red in the pixel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">green</td><td>The amount of green in the pixel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">blue</td><td>The amount of blue in the pixel. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aee14c9e5278ba735cd9890ab33bb4802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee14c9e5278ba735cd9890ab33bb4802">&#9670;&nbsp;</a></span>setPixel() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setPixel </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpixel__t.html">pixel_t</a>&#160;</td>
          <td class="paramname"><em>pixel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the given pixel to the specified color. </p>
<p>The LEDs are not actually updated until a call to show().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The pixel that is to have its color set. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pixel</td><td>The color value of the pixel. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aae855663a57e10790c6dc892bf78a37d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae855663a57e10790c6dc892bf78a37d">&#9670;&nbsp;</a></span>setPixel() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmartLED::setPixel </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>pixel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the given pixel to the specified color. </p>
<p>The LEDs are not actually updated until a call to show().</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The pixel that is to have its color set. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pixel</td><td>The color value of the pixel. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmartLED_8h_source.html">SmartLED.h</a></li>
<li>SmartLED.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
